Bug 245066 - www/gist: Update to 5.1
Summary: www/gist: Update to 5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL: https://github.com/defunkt/gist/relea...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-25 23:20 UTC by Derek Schrock
Modified: 2020-04-22 07:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (changlp)


Attachments
Update to 5.1 (2.05 KB, patch)
2020-03-25 23:20 UTC, Derek Schrock
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2020-03-25 23:20:52 UTC
Created attachment 212717 [details]
Update to 5.1

- Fix API deprecation warning by updating to 5.1 [1]
- Feed portlint and makepatch patches

portlint: ok. looks fine.
testport: ok. 12amd64

Installed and tested 5.1.  No deprecation warnings from the utility and emails from github.com.
Comment 1 Automation User 2020-03-26 03:23:14 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/129789438
Comment 2 commit-hook freebsd_committer 2020-04-22 07:20:58 UTC
A commit references this bug:

Author: tagattie
Date: Wed Apr 22 07:20:04 UTC 2020
New revision: 532447
URL: https://svnweb.freebsd.org/changeset/ports/532447

Log:
  - Update to 5.1
  - Fix API deprecation warning

  PR:		245066
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com>
  Approved by:	maintainer timeout (changlp@cs.nctu.edu.tw, 25 days),
  		ehaupt (mentor)
  MFH:		2020Q2 (blanket)
  Changelog:	https://github.com/defunkt/gist/releases/tag/v5.1.0

Changes:
  head/www/gist/Makefile
  head/www/gist/distinfo
  head/www/gist/files/patch-build-gist
Comment 3 commit-hook freebsd_committer 2020-04-22 07:26:00 UTC
A commit references this bug:

Author: tagattie
Date: Wed Apr 22 07:25:16 UTC 2020
New revision: 532448
URL: https://svnweb.freebsd.org/changeset/ports/532448

Log:
  MFH: r532447

  - Update to 5.1
  - Fix API deprecation warning

  PR:		245066
  Submitted by:	Derek Schrock <dereks@lifeofadishwasher.com>
  Approved by:	maintainer timeout (changlp@cs.nctu.edu.tw, 25 days),
  		ehaupt (mentor)
  Changelog:	https://github.com/defunkt/gist/releases/tag/v5.1.0

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/www/gist/Makefile
  branches/2020Q2/www/gist/distinfo
  branches/2020Q2/www/gist/files/patch-build-gist
Comment 4 Hiroki Tagato freebsd_committer 2020-04-22 07:27:21 UTC
Committed, thanks!